%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)

Name:           ocaml-ssl
Version:        0.5.9
Release:        %mkrel 4
Summary:        SSL bindings for OCaml

Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            https://github.com/savonet/ocaml-ssl
Source0:        https://github.com/savonet/ocaml-ssl/archive/%version/v%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-dune-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  gawk
Requires:       openssl

%global __ocaml_provides_opts -i Unix -i UnixLabels

%description
SSL bindings for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       openssl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
dune build -p ssl --verbose %{?_smp_mflags}

%install
dune install --destdir %{buildroot}

# Remove the bogus /usr/doc directory.
rm -rf %{buildroot}/usr/doc

%files
%doc CHANGES COPYING README.md
%dir %{_libdir}/ocaml/ssl
%{_libdir}/ocaml/ssl/
%if %opt
%exclude %{_libdir}/ocaml/ssl/*.a
%exclude %{_libdir}/ocaml/ssl/*.cmxa
%endif
%exclude %{_libdir}/ocaml/ssl/*.mli
%{_libdir}/ocaml/stublibs/*.so

%files devel
%doc examples
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/ssl/*.cmxa
#{_libdir}/ocaml/ssl/*.cmx
%{_libdir}/ocaml/ssl/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.5.9-4.mga8
+ Revision: 1670480
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.5.9-3.mga8
+ Revision: 1551502
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.5.9-2.mga8
+ Revision: 1543719
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.5.9-1.mga8
+ Revision: 1482155
- new release + rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 23 2018 tv <tv> 0.5.5-4.mga7
+ Revision: 1324066
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.5.5-3.mga7
+ Revision: 1323781
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.5.5-2.mga7
+ Revision: 1299933
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.5.5-1.mga7
+ Revision: 1179928
- new release

* Fri Sep 08 2017 guillomovitch <guillomovitch> 0.5.3-1.mga7
+ Revision: 1151866
- new version 0.5.3

* Mon Sep 26 2016 pterjan <pterjan> 0.5.2-3.mga6
+ Revision: 1056443
- Rebuild for fix in ocaml

* Thu Mar 03 2016 umeabot <umeabot> 0.5.2-2.mga6
+ Revision: 983849
- Rebuild for openssl

* Sun Jan 31 2016 pterjan <pterjan> 0.5.2-1.mga6
+ Revision: 929667
- Update to 0.5.2

* Wed Oct 15 2014 umeabot <umeabot> 0.4.6-11.mga5
+ Revision: 745289
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.6-10.mga5
+ Revision: 683110
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 ovitters <ovitters> 0.4.6-9.mga5
+ Revision: 646110
+ rebuild (emptylog)

* Sat Oct 19 2013 umeabot <umeabot> 0.4.6-9.mga4
+ Revision: 533925
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 0.4.6-8.mga4
+ Revision: 475782
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.4.6-7.mga3
+ Revision: 361640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.4.6-6.mga3
+ Revision: 324087
- rebuild for new ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.6-5.mga3
+ Revision: 301413
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.4.6-3.mga3
+ Revision: 300414
- new rpm group for ocaml

* Sun Dec 04 2011 malo <malo> 0.4.6-2.mga2
+ Revision: 176047
- spec clean-up
- remove Requires on openssl-devel

* Sun Nov 20 2011 malo <malo> 0.4.6-1.mga2
+ Revision: 169944
- new version 0.4.6
- missing Requires openssl-devel

* Sun Oct 02 2011 shlomif <shlomif> 0.4.5-2.mga2
+ Revision: 151097
- Rebuild for new OCaml - thanks to Malo.

* Wed Sep 21 2011 shlomif <shlomif> 0.4.5-1.mga2
+ Revision: 146509
- Updated to 0.4.5-1 - thanks to Malo

* Fri Apr 08 2011 ennael <ennael> 0.4.4-2.mga1
+ Revision: 82430
- clean spec file
- imported package ocaml-ssl

